package ru.dbotthepony.mc.otm.datagen.loot

import net.minecraft.world.item.Items
import net.minecraft.world.level.storage.loot.parameters.LootContextParamSets
import ru.dbotthepony.mc.otm.datagen.modLootTable
import ru.dbotthepony.mc.otm.registry.game.MItems

fun addChestLootTables(loot: LootTables) {
	loot.builder(LootContextParamSets.CHEST, modLootTable("food_box")) {
		lootPool {
			item(Items.PACKED_ICE) { setCount(minimal = 1, maximal = 3) }
			item(MItems.NUTRIENT_PASTE) { setCount(minimal = 1, maximal = 2) }
			item(Items.SNOWBALL) { setCount(minimal = 1, maximal = 5) }

			setRolls(3)
		}
	}

	loot.builder(LootContextParamSets.CHEST, modLootTable("salvage_crate")) {
		lootPool {
			item(MItems.MECHANICAL_PARTS) { setCount(minimal = 2, maximal = 3) }
			item(MItems.IRON_PLATE) { setCount(minimal = 2, maximal = 3) }
			item(MItems.ELECTRIC_PARTS) { setCount(minimal = 2, maximal = 3) }
			item(MItems.MECHANICAL_PARTS) { setCount(minimal = 2, maximal = 3) }
			item(MItems.CIRCUIT_PLATING) { setCount(minimal = 1, maximal = 3) }

			item(MItems.METAL_JUNK) { setCount(minimal = 3, maximal = 5) }
			item(Items.COPPER_INGOT) { setCount(minimal = 1, maximal = 3) }
			item(Items.EXPOSED_COPPER) { setCount(minimal = 1, maximal = 2) }

			setRolls(3)
		}
	}

	loot.builder(LootContextParamSets.CHEST, modLootTable("frigate_cargo")) {
		lootPool {
			item(Items.IRON_INGOT) { setCount(minimal = 1, maximal = 3) }
			item(Items.GOLD_INGOT) { setCount(minimal = 1, maximal = 3) }
			item(Items.EMERALD) { setCount(minimal = 1, maximal = 3) }

			item(MItems.TRITANIUM_INGOT) { setCount(minimal = 1, maximal = 3) }
			item(MItems.MECHANICAL_PARTS) { setCount(minimal = 2, maximal = 3) }
			item(MItems.CIRCUIT_PLATING) { setCount(minimal = 2, maximal = 3) }

			item(Items.SADDLE) { setCount(minimal = 0, maximal = 1) }
			item(Items.DIAMOND) { setCount(minimal = 0, maximal = 3) }

			setRolls(3)
		}
	}
}
